DefaultExcludes (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.DefaultExcludes,DefaultExcludes class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class DefaultExcludes

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.DefaultExcludes

public class DefaultExcludes
extends Task

Alters the default excludes for the entire build..

Since:
  Ant 1.6

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`DefaultExcludes()`

Method Summary
`void` | `execute()` Does the work.
`void` | `setAdd(java.lang.String add)` Pattern to add to the default excludes
`void` | `setDefault(boolean def)` go back to standard default patterns
`void` | `setEcho(boolean echo)` If true, echo the default excludes.
`void` | `setRemove(java.lang.String remove)` Pattern to remove from the default excludes.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultExcludes

    public DefaultExcludes()

Method Detail

### execute

    public void execute()
                 throws BuildException

  Does the work.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

### setDefault

    public void setDefault(boolean def)

  go back to standard default patterns

  Parameters:
    `def` - if true go back to default patterns

### setAdd

    public void setAdd(java.lang.String add)

  Pattern to add to the default excludes

  Parameters:
    `add` - Sets the value for the pattern to exclude.

### setRemove

    public void setRemove(java.lang.String remove)

  Pattern to remove from the default excludes.

  Parameters:
    `remove` - Sets the value for the pattern that should no longer be excluded.

### setEcho

    public void setEcho(boolean echo)

  If true, echo the default excludes.

  Parameters:
    `echo` - whether or not to echo the contents of the default excludes.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.